
Redmine - Defect #32422

Textile indentation does not work in the preview tab

2019-11-06 07:37 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 4.0.6   

Resolution: Fixed Affected version:  

Description

I entered the following textile in the issue description field and confirmed to the preview, but I can't show the paragraph indent.

p>. right aligned

p=. centered

p(. left indent 1em

p((. left indent 2em

p>)). right aligned + right indent 2em

p>). right aligned + right indent 1em

 - Actual -

 actual_not_show_indent.png 

Associated revisions

Revision 19346 - 2019-12-08 02:53 - Go MAEDA

Textile indentation does not work in the preview tab (#32422).

Patch by Yuichi HARADA.

Revision 19349 - 2019-12-10 02:34 - Go MAEDA

Merged r19346 from trunk to 4.1-stable (#32422).

Revision 19350 - 2019-12-10 02:35 - Go MAEDA

Merged r19346 from trunk to 4.0-stable (#32422).

History

#1 - 2019-11-06 07:43 - Yuichi HARADA

- File show_indent.png added

Indentation is now visible in the following patch.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 2fc541bc0..834dead9d 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -827,7 +827,9 @@ input#months { width: 46px; }

 .tabular.settings .wiki-preview, .tabular.settings .jstTabs { width: 99%; }

 .tabular .wiki-preview p {

   min-height: initial;

-  padding: 1em 0 1em 0 !important;

+  padding: 0;

+  padding-top: 1em !important;

+  padding-bottom: 1em !important;

   overflow: initial;
 }

  show_indent.png 

#2 - 2019-12-07 05:44 - Go MAEDA

- Category set to Text formatting

- Status changed from New to Confirmed

- Target version set to 4.0.6

Confirmed that the issue is reproduceble and the patch in #32422#note-1 fixes it.

Setting the target version to 4.0.6.

#3 - 2019-12-08 02:54 - Go MAEDA

- Subject changed from Wiki preview: Unable to display indent in preview to Textile indentation does not work in the preview tab

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for catching and fixing the issue.

#4 - 2019-12-10 02:36 - Go MAEDA

- Status changed from Resolved to Closed
